Skip to main content
`Ctrl`+`K`

# SNESFASCycleGetRScale

Gets the injection scale-factor on a level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetRScale(SNES snes, Vec *vec)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- vec - the restriction operator on this level

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASCycleGetRestriction()`, `SNESFASGetRScale()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages